Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class DocumentAdjustment1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.DocumentAdjustment1

public class DocumentAdjustment1 extends Object

Java class for DocumentAdjustment1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DocumentAdjustment1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CreditDebitCode" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max4Text" minOccurs="0"/>
             <element name="AddtlInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`addtlInf`
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected CreditDebitCode`
`cdtDbtInd`
`protected String`
`rsn`

## Constructor Summary

Constructors
Constructor
Description
`DocumentAdjustment1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddtlInf()`
Gets the value of the addtlInf property.
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`String`
`getRsn()`
Gets the value of the rsn property.
`void`
`setAddtlInf(String value)`
Sets the value of the addtlInf property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
`setRsn(String value)`
Sets the value of the rsn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

### rsn

protected String rsn

### addtlInf

protected String addtlInf

## Constructor Details

### DocumentAdjustment1

public DocumentAdjustment1()

## Method Details

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

### getRsn

public String getRsn()
Gets the value of the rsn property.

Returns:
  possible object is `String`

### setRsn

public void setRsn(String value)
Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `String`

### getAddtlInf

public String getAddtlInf()
Gets the value of the addtlInf property.

Returns:
  possible object is `String`

### setAddtlInf

public void setAddtlInf(String value)
Sets the value of the addtlInf property.

Parameters:
  `value` - allowed object is `String`